[Abstract]
progspi.efi:
This program updates the contents of the SPI Flash with the contents
of a binary file provided. Useful in case you want to revert to an
older BIOS, restore the current BIOS or update to a newer BIOS. If
an update is performed, the program prints out information about the
current progress of the update (as text characters in the UEFI Shell
terminal). After the update a verification of the data written is
performed. Program 'progspi.efi' is an EFI executable that can only
be used with UEFI Shell and can only be used with EKF CPU boards.

[Usage]
- Extract all files of downloaded ZIP file SC9BIOS.ZIP
- Copy all files to an FAT32 formatted USB stick
- Insert USB Stick in one of the EKF SC9 front panel USB interfaces
- Start system and open UEFI Shell (F5) during boot
- Change to USB drive (e.g. fs0:)
- Start SPI flash programming by calling EFI Shell script ps.nsh
  FS0:\> ps
    During update a progress bar is displayed:
    P for programming, V for verifying
- Reboot system (e.g. type reset, CTRL+ALT+DEL, Powercycle)

WARNING:
Do not interrupt the programming procedure in order to avoid damage
of the SPI firmware. Programming takes about two minutes to complete.

[Info]
The new UEFI/BIOS is present after resetting the system. Note that
all UEFI/BIOS Setup parameter will be reset to default settings.

Note: First start of a system after a SPI flash update can take up to
two minutes before the system can boot. On EKF SC9-TOCCATA this state
is indicated by a constantly shining red LED GP in front panel.

Questions? Contact support[a t]ekf.de